# CSIActiveNonza class

Inheritance
  - Object
  - XMLNode
  - CSIActiveNonza

## Constructors

CSIActiveNonza ()

## Properties

attributes ↔ Map <String, dynamic>
  getter/setter pairinherited
children ↔ List <XMLNode>
  getter/setter pairinherited
closeTag ↔ bool
  getter/setter pairinherited
hashCode → int
  The hash code for this object.
  no setterinherited
isDeclaration ↔ bool
  getter/setter pairinherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setterinherited
tag → String
  finalinherited
text ↔ String?
  getter/setter pairinherited
xmlns → String?
  no setterinherited

## Methods

addChild (XMLNode child) → void
  Adds a child to this node.
  inherited
findTags (String tag, {String? xmlns}) → List <XMLNode>
  Returns all children whose tag is equal to `tag`.
  inherited
findTagsByXmlns (String xmlns) → List <XMLNode>
  inherited
firstTag (String tag, {String? xmlns}) → XMLNode?
  Returns the first xml node that matches the description:
  inherited
firstTagByXmlns (String xmlns) → XMLNode?
  Returns the first child whose xmlns attribute is equal to `xmlns`. Returns null if none is found.
  inherited
innerText () → String
  Returns the inner text of the node. If none is set, returns the "".
  inherited
noSuchMethod (Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
renderAttributes () → String
  Renders the attributes of the node into "attr1="value" attr2=...".
  inherited
toString () → String
  A string representation of this object.
  inherited
toXml () → String
  Renders the entire node, including its children, into an XML string.
  inherited

## Operators

operator == (Object other) → bool
  The equality operator.
  inherited